--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: anti_aliasing
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: brush
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: color
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: dont_blend
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: font
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: style
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: thickness
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: tile
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: transformation_matrix
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Special colors
  name: STYLED
  value: "-2"
- !ruby/object:RI::Constant 
  comment: 
  name: BRUSHED
  value: "-3"
- !ruby/object:RI::Constant 
  comment: 
  name: STYLED_BRUSHED
  value: "-4"
- !ruby/object:RI::Constant 
  comment: 
  name: TILED
  value: "-5"
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSPARENT
  value: "-6"
- !ruby/object:RI::Constant 
  comment: 
  name: ANTI_ALIASED
  value: "-7"
full_name: GD2::Canvas
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: affine_transform
- !ruby/object:RI::MethodSummary 
  name: arc
- !ruby/object:RI::MethodSummary 
  name: brush=
- !ruby/object:RI::MethodSummary 
  name: cartesian
- !ruby/object:RI::MethodSummary 
  name: circle
- !ruby/object:RI::MethodSummary 
  name: color=
- !ruby/object:RI::MethodSummary 
  name: dont_blend=
- !ruby/object:RI::MethodSummary 
  name: ellipse
- !ruby/object:RI::MethodSummary 
  name: fill
- !ruby/object:RI::MethodSummary 
  name: fill_to
- !ruby/object:RI::MethodSummary 
  name: line
- !ruby/object:RI::MethodSummary 
  name: line_to
- !ruby/object:RI::MethodSummary 
  name: location
- !ruby/object:RI::MethodSummary 
  name: move
- !ruby/object:RI::MethodSummary 
  name: move_to
- !ruby/object:RI::MethodSummary 
  name: point
- !ruby/object:RI::MethodSummary 
  name: polygon
- !ruby/object:RI::MethodSummary 
  name: rectangle
- !ruby/object:RI::MethodSummary 
  name: rotate
- !ruby/object:RI::MethodSummary 
  name: scale
- !ruby/object:RI::MethodSummary 
  name: style=
- !ruby/object:RI::MethodSummary 
  name: text
- !ruby/object:RI::MethodSummary 
  name: text_circle
- !ruby/object:RI::MethodSummary 
  name: thickness=
- !ruby/object:RI::MethodSummary 
  name: tile=
- !ruby/object:RI::MethodSummary 
  name: translate
- !ruby/object:RI::MethodSummary 
  name: wedge
name: Canvas
superclass: Object
